# Uses of Class
org.eclipse.ecf.remoteservice.RemoteServiceRegistryImpl

Packages that use RemoteServiceRegistryImpl
Package
Description
org.eclipse.ecf.remoteservice

## Uses of RemoteServiceRegistryImpl in org.eclipse.ecf.remoteservice

Fields in org.eclipse.ecf.remoteservice declared as RemoteServiceRegistryImpl
Modifier and Type
Field
Description
`protected RemoteServiceRegistryImpl`
RemoteServiceContainerAdapterImpl.`registry`
Methods in org.eclipse.ecf.remoteservice that return RemoteServiceRegistryImpl
Modifier and Type
Method
Description
`protected RemoteServiceRegistryImpl`
RemoteServiceContainerAdapterImpl.`getRegistry()`
Methods in org.eclipse.ecf.remoteservice with parameters of type RemoteServiceRegistryImpl
Modifier and Type
Method
Description
`void`
RemoteServiceRegistrationImpl.`publish(RemoteServiceRegistryImpl registry, Object svc, String[] clzzes, Dictionary props)`
`void`
RSARemoteServiceContainerAdapter.RSARemoteServiceRegistration.`publish(RemoteServiceRegistryImpl reg, Object svc, String[] clzzes, Dictionary props)`
`protected void`
RemoteServiceContainerAdapterImpl.`setRegistry(RemoteServiceRegistryImpl registry)`